Subject: Re: Small request for the new cygwin terminal
From: "Helmut Karlowski" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 8 Jun 2012 12:55:02 +0000
List-Id: <cygwin.cygwin.com>

Andy Koppe wrote:

> I don't think you can have different terminfo entries for different
> character sets for the same terminal type, i.e. you'd need to create
> charset-specifc types such as xterm-cp850.

I suspected that ...

> > I've added
> >
> > csin=\233,
> >
> > but I'm not sure if it's really necessary, and if it's wrong when I switch
> > the Character Set. tgetstr() returns the value defined in xterm-terminfo,
> > which may be wrong for another character set. When csin is missing in xterm,
> > tgetstr() returns 0.
>
> Looking at the standard, 'csin' isn't meant for a keycode, but for a
> command sent to the terminal, namely for the Init sequence for
> multiple codesets. I'm afraid I don't know what that means though,

That was the closest I've found in the terminfo-manpage. What is the
terminfo-code for CSI (if any)? How does vi know about CSI and its
sequence as mentioned in your previous post?

> There isn't a fallback in the terminfo system itself, so I guess
> that's up to each terminfo-using program (or its configuration).

Ok, in that case $TERM is xterm-cp850, xterm-ISO... etc. But I don't
think it's worth the effort.

-Helmut

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple